public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-metrics/snmp_exporter/
Date: Wed, 13 Jun 2018 13:17:04 +0000 (UTC)	[thread overview]
Message-ID: <1528895795.a36213c80e4380f45c526a4355dd89f7fcbc7d0b.mrueg@gentoo> (raw)

commit:     a36213c80e4380f45c526a4355dd89f7fcbc7d0b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 13 13:16:35 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jun 13 13:16:35 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a36213c8

app-metrics/snmp_exporter: Version bump to 0.11.0

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-metrics/snmp_exporter/Manifest                 |  1 +
 .../snmp_exporter/snmp_exporter-0.11.0.ebuild      | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/app-metrics/snmp_exporter/Manifest b/app-metrics/snmp_exporter/Manifest
index 417f78115fd..829d33d20be 100644
--- a/app-metrics/snmp_exporter/Manifest
+++ b/app-metrics/snmp_exporter/Manifest
@@ -1,2 +1,3 @@
 DIST snmp_exporter-0.10.0.tar.gz 3507371 BLAKE2B 8ad65ef8593e08fa1749013dcaf91e985df13ad12a988fb3691fed6436b979ce0edf668844240485437acbe5c19894dd52472e89dcff705a822dc633bde4d36a SHA512 70a1c6f1f3f89a68af71d6b1f2d6975c677e8c9470b9e1d5168c7fa9e60cacef808559b7d318c742704ab0358b7724e14d8583629747c118307381ba80d4bd6c
+DIST snmp_exporter-0.11.0.tar.gz 3631252 BLAKE2B 9786a17d667f8e6d45691f9df099f67ce103fbb93c9069ca497e59ff9207de05335fe3fac56d3d3bc0617069eb26a9c5b5682a8ec65c78d7e44303002427e9fa SHA512 a5d671d1bf2a98bbdb6ff85ac84ca5fe8da8d075bb1133aae650e73c45770be0403bcfea93595b2f5bc75b2e50cf96ccada0407d6956b4b5d1dc5b7ff604254a
 DIST snmp_exporter-0.9.0.tar.gz 3257207 BLAKE2B 3e7e91d7e66b32e3f84c9e53061f54ffc10116913b91598edfa011663daf2c67314661dbe6cd5b2c20b30968833bd64a48bdd5dd06694e76f1e787d59ad63933 SHA512 eb287f4519f2174a9ce80414c2b7a698bc50e1bcb2303a8190164002af088e0694e01233314cfe2bd89b2cd751f2fd6f8447eb641541701b7bd481373ce084b1

diff --git a/app-metrics/snmp_exporter/snmp_exporter-0.11.0.ebuild b/app-metrics/snmp_exporter/snmp_exporter-0.11.0.ebuild
new file mode 100644
index 00000000000..36093bab969
--- /dev/null
+++ b/app-metrics/snmp_exporter/snmp_exporter-0.11.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/snmp_exporter"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+SNMP_EXPORTER_COMMIT="e459171"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus exporter for snmp metrics"
+HOMEPAGE="https://github.com/prometheus/snmp_exporter"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+pkg_setup() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+	default
+	sed -i -e "s/{{.Revision}}/${SNMP_EXPORTER_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+	pushd src/${EGO_PN} || die
+	mkdir -p bin || die
+	GOPATH="${S}" promu build -v --prefix bin || die
+	popd || die
+}
+
+src_install() {
+	pushd src/${EGO_PN} || die
+	dobin bin/snmp_exporter
+	dodoc {README,CONTRIBUTING}.md
+	insinto /etc/snmp_exporter
+	newins snmp.yml snmp.yml.example
+	popd || die
+	keepdir /var/lib/snmp_exporter /var/log/snmp_exporter
+	fowners ${PN}:${PN} /var/lib/snmp_exporter /var/log/snmp_exporter
+	newinitd "${FILESDIR}"/${PN}.initd ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}


             reply	other threads:[~2018-06-13 13:17 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-13 13:17 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-07  5:24 [gentoo-commits] repo/gentoo:master commit in: app-metrics/snmp_exporter/ John Helmert III
2023-12-17 11:45 Sam James
2023-10-29 17:22 John Helmert III
2023-05-26 14:42 William Hubbs
2023-05-26 14:42 William Hubbs
2023-02-04  3:35 William Hubbs
2022-10-21 17:40 William Hubbs
2022-03-23 16:11 William Hubbs
2022-03-23 16:11 William Hubbs
2022-03-20 21:44 William Hubbs
2022-03-20 21:44 William Hubbs
2019-12-04  5:34 William Hubbs
2019-12-03  9:48 Michał Górny
2019-11-23 10:38 Manuel Rüger
2019-11-23 10:38 Manuel Rüger
2019-02-12 16:34 Manuel Rüger
2019-01-17  0:11 Manuel Rüger
2019-01-17  0:11 Manuel Rüger
2019-01-15 19:05 Manuel Rüger
2019-01-15 14:44 Manuel Rüger
2018-12-11  8:12 Manuel Rüger
2018-09-13 11:54 Manuel Rüger
2018-09-07  6:21 Manuel Rüger
2018-08-21 20:27 Manuel Rüger
2018-08-21 20:20 Manuel Rüger
2018-05-15 12:49 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528895795.a36213c80e4380f45c526a4355dd89f7fcbc7d0b.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox